# Uses of Class
org.codehaus.janino.Java.ReferenceType

Packages that use Java.ReferenceType
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ReferenceType in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.ReferenceType
Modifier and Type
Field
Description
`final Java.ReferenceType[]`
Java.TypeParameter.`bound`
The optional bound of the type parameter.
`final Java.ReferenceType`
Java.Wildcard.`referenceType`
The reference type of this wildcard's EXTENDS or SUPER bounds.
Methods in org.codehaus.janino that return Java.ReferenceType
Modifier and Type
Method
Description
`Java.ReferenceType`
Parser.`parseReferenceType()`
ReferenceType := { Annotation } QualifiedIdentifier [ TypeArguments ]
`Java.ReferenceType[]`
Parser.`parseReferenceTypeList()`
ReferenceTypeList := ReferenceType { ',' ReferenceType }
Methods in org.codehaus.janino with parameters of type Java.ReferenceType
Modifier and Type
Method
Description
`R`
Visitor.TypeArgumentVisitor.`visitReferenceType(Java.ReferenceType rt)`
Invoked by `accept(Visitor.TypeArgumentVisitor)`
`R`
Visitor.TypeVisitor.`visitReferenceType(Java.ReferenceType rt)`
Invoked by `accept(Visitor.TypeVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.ReferenceType
Modifier
Constructor
Description
``
`NormalAnnotation(Java.ReferenceType type, Java.ElementValuePair[] elementValuePairs)`
``
`SingleElementAnnotation(Java.ReferenceType type, Java.ElementValue elementValue)`
``
`TypeParameter(String name, Java.ReferenceType[] bound)`
``
`Wildcard(int bounds, Java.ReferenceType referenceType)`

## Uses of Java.ReferenceType in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ReferenceType
Modifier and Type
Method
Description
`Java.ReferenceType`
DeepCopier.`copyOptionalReferenceType(Java.ReferenceType subject)`
`Java.ReferenceType[]`
DeepCopier.`copyOptionalReferenceTypes(Java.ReferenceType[] subject)`
`Java.ReferenceType`
DeepCopier.`copyReferenceType(Java.ReferenceType subject)`
`Java.ReferenceType[]`
DeepCopier.`copyReferenceTypes(Java.ReferenceType[] subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ReferenceType
Modifier and Type
Method
Description
`Java.ReferenceType`
DeepCopier.`copyOptionalReferenceType(Java.ReferenceType subject)`
`Java.ReferenceType[]`
DeepCopier.`copyOptionalReferenceTypes(Java.ReferenceType[] subject)`
`Java.ReferenceType`
DeepCopier.`copyReferenceType(Java.ReferenceType subject)`
`Java.ReferenceType[]`
DeepCopier.`copyReferenceTypes(Java.ReferenceType[] subject)`
`void`
AbstractTraverser.`traverseReferenceType(Java.ReferenceType rt)`
`void`
Traverser.`traverseReferenceType(Java.ReferenceType rt)`